<?php
namespace SabaiApps\Directories\Component\Payment;

interface IOrder {

	public function paymentOrderId();
	public function paymentOrderNumber();
	public function paymentOrderName();
	public function paymentOrderAction();
	public function paymentOrderAdminUrl( $separator = '&amp;' );
	public function paymentOrderStatus();
	public function paymentOrderTotalHtml();
	public function paymentOrderTimestamp();
	public function paymentOrderEntityId();
	public function paymentOrderEntityType();
	public function paymentOrderWasItemDeactivated();
	public function paymentOrderIsPendingPayment();
	public function paymentOrderIsComplete();
	/**
	 * @return IPlan
	 * @throws \SabaiApps\Directories\Exception\RuntimeException
	 */
	public function paymentOrderPlan();
	public function paymentOrderUserId();
}
